<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/bg_home">

    <xn.xxp.widget.TitleBar
        android:id="@+id/titleBar"
        android:layout_width="0dp"
        android:layout_height="56dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:showNotice="true"
        app:signed="true" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/right_view"
        android:layout_width="216dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:id="@+id/right_content"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:divider="@drawable/divider_transparent_main_right"
            android:gravity="center_vertical|end"
            android:orientation="vertical"
            android:showDividers="middle"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/sourceOfRisk"
                android:layout_width="158dp"
                android:layout_height="56dp"
                android:layout_marginEnd="8dp"
                android:contentDescription="@null"
                android:src="@mipmap/btn_source_of_risk" />

            <ImageView
                android:id="@+id/things"
                android:layout_width="158dp"
                android:layout_height="56dp"
                android:layout_marginEnd="14dp"
                android:contentDescription="@null"
                android:src="@mipmap/btn_things" />

            <ImageView
                android:id="@+id/signIn"
                android:layout_width="158dp"
                android:layout_height="56dp"
                android:layout_marginEnd="20dp"
                android:contentDescription="@null"
                android:src="@mipmap/btn_sign_in" />

            <ImageView
                android:id="@+id/leave"
                android:layout_width="158dp"
                android:layout_height="56dp"
                android:layout_marginEnd="14dp"
                android:contentDescription="@null"
                android:src="@mipmap/btn_leave" />

            <ImageView
                android:id="@+id/openDoor"
                android:layout_width="158dp"
                android:layout_height="56dp"
                android:layout_marginEnd="8dp"
                android:contentDescription="@null"
                android:src="@mipmap/icon_sy_km"
                android:visibility="visible" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="30dp"
        android:layout_marginTop="30dp"
        android:layout_marginEnd="30dp"
        android:layout_marginBottom="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/right_view"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/titleBar">

        <ImageView
            android:id="@+id/learnMaterial"
            android:layout_width="56dp"
            android:layout_height="56dp"
            android:contentDescription="@null"
            android:src="@mipmap/icon_sy_msds"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:text="MSDS"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/learnMaterial"
            app:layout_constraintStart_toStartOf="@id/learnMaterial"
            app:layout_constraintTop_toBottomOf="@id/learnMaterial" />

        <ImageView
            android:id="@+id/safetyRegulation"
            android:layout_width="56dp"
            android:layout_height="56dp"
            android:layout_marginEnd="30dp"
            android:contentDescription="@null"
            android:src="@mipmap/icon_sy_gzzd"
            app:layout_constraintEnd_toStartOf="@id/learnMaterial"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:text="规章制度"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/safetyRegulation"
            app:layout_constraintStart_toStartOf="@id/safetyRegulation"
            app:layout_constraintTop_toBottomOf="@id/safetyRegulation" />

        <ImageView
            android:id="@+id/labPerson"
            android:layout_width="56dp"
            android:layout_height="56dp"
            android:layout_marginEnd="30dp"
            android:contentDescription="@null"
            android:src="@mipmap/icon_sy_syry"
            app:layout_constraintEnd_toStartOf="@id/safetyRegulation"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/labPerson_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:text="人员信息"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/labPerson"
            app:layout_constraintStart_toStartOf="@id/labPerson"
            app:layout_constraintTop_toBottomOf="@id/labPerson" />

        <ImageView
            android:id="@+id/monitor"
            android:layout_width="56dp"
            android:layout_height="56dp"
            android:layout_marginEnd="30dp"
            android:contentDescription="@null"
            android:src="@mipmap/icon_spjk"
            app:layout_constraintEnd_toStartOf="@id/labPerson"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/monitor_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:text="视频监控"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@id/monitor"
            app:layout_constraintStart_toStartOf="@id/monitor"
            app:layout_constraintTop_toBottomOf="@id/monitor" />

        <androidx.constraintlayout.widget.Group
            android:id="@+id/monitor_group"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:constraint_referenced_ids="monitor_label,monitor" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/top_view"
            android:layout_width="0dp"
            android:layout_height="84dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/shape_rect_round_11_solid"
            app:layout_constraintEnd_toStartOf="@id/monitor"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/labLevel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:gravity="center"
                android:padding="7dp"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:background="@drawable/shape_rect_round_6_stroke_faa809"
                tools:ignore="SmallSp"
                tools:text="特种设备类\n二级"
                tools:textColor="#FAA809" />

            <TextView
                android:id="@+id/labName"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginEnd="16dp"
                android:ellipsize="end"
                android:maxLines="1"
                android:textColor="#ffffffff"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/labLevel"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="大气污染控制工程实验室" />

            <androidx.constraintlayout.utils.widget.ImageFilterView
                android:id="@+id/qrCode"
                android:layout_width="62dp"
                android:layout_height="62dp"
                android:layout_marginEnd="12dp"
                android:contentDescription="@null"
                android:scaleType="fitXY"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:round="6dp"
                tools:src="@mipmap/img_sy_ewm" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <ImageView
            android:id="@+id/back"
            android:layout_width="140dp"
            android:layout_height="67dp"
            android:layout_marginBottom="3dp"
            android:contentDescription="@null"
            android:src="@mipmap/icom_fh"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

        <View
            android:id="@+id/bulletin_bg"
            android:layout_width="0dp"
            android:layout_height="61dp"
            android:layout_marginEnd="17dp"
            android:layout_marginBottom="5dp"
            android:background="@mipmap/icon_sy_cgqbg"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/back"
            app:layout_constraintStart_toStartOf="parent" />

        <xn.xxp.widget.LooperRecyclerView
            android:id="@+id/bulletinBoardView"
            android:layout_width="0dp"
            android:layout_height="61dp"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            app:layout_constraintBottom_toBottomOf="@id/bulletin_bg"
            app:layout_constraintEnd_toEndOf="@id/bulletin_bg"
            app:layout_constraintStart_toStartOf="@id/bulletin_bg" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="19dp"
            android:layout_marginBottom="15dp"
            android:background="@drawable/shape_rect_round_11_solid"
            app:layout_constraintBottom_toTopOf="@id/bulletinBoardView"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/top_view">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/reform_info"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:padding="20dp"
                android:visibility="gone">

                <androidx.core.widget.NestedScrollView
                    android:id="@+id/nestedScrollView"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    app:layout_constraintBottom_toTopOf="@id/reformPage"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/reformTitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="实验室安全检查问题隐患汇总表"
                            android:textColor="@android:color/white"
                            android:textSize="17sp"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/createTime"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="12dp"
                            android:textColor="@android:color/white"
                            android:textSize="14sp"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/reformTitle"
                            tools:text="检查时间：2022-03-17 16：00" />

                        <TextView
                            android:id="@+id/jcRyxm"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="12dp"
                            android:textColor="@android:color/white"
                            android:textSize="14sp"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/reformTitle"
                            tools:text="检查人：吕丹" />

                        <View
                            android:id="@+id/reformHeaderTopLine"
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_marginTop="12dp"
                            android:background="@android:color/white"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/createTime" />

                        <LinearLayout
                            android:id="@+id/reformHeader"
                            android:layout_width="0dp"
                            android:layout_height="34dp"
                            android:divider="@drawable/divider_white_vertical"
                            android:orientation="horizontal"
                            android:showDividers="beginning|middle|end"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/reformHeaderTopLine">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="1.13"
                                android:gravity="center"
                                android:text="序号"
                                android:textColor="@android:color/white"
                                android:textSize="12sp" />

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="6.73"
                                android:gravity="center"
                                android:text="存在问题"
                                android:textColor="@android:color/white"
                                android:textSize="12sp" />

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="1.72"
                                android:gravity="center"
                                android:text="对应条款"
                                android:textColor="@android:color/white"
                                android:textSize="12sp" />

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="2.31"
                                android:gravity="center"
                                android:text="整改完成期限"
                                android:textColor="@android:color/white"
                                android:textSize="12sp" />

                        </LinearLayout>

                        <View
                            android:id="@+id/reformHeaderBottomLine"
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:background="@android:color/white"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/reformHeader" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/reformRecyclerView"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="12dp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/reformHeaderBottomLine" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.core.widget.NestedScrollView>

                <TextView
                    android:id="@+id/reformPage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@android:color/white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    tools:text="1/6" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/notice_info"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingStart="60dp"
                android:paddingTop="20dp"
                android:paddingEnd="60dp"
                android:paddingBottom="20dp"
                android:visibility="gone">

                <TextView
                    android:id="@+id/noticeTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="消息通知"
                    android:textColor="@android:color/white"
                    android:textSize="17sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/issuePerson"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:textColor="@android:color/white"
                    android:textSize="16sp"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/noticeTitle"
                    tools:text="曹秀康" />

                <TextView
                    android:id="@+id/issueTime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="30dp"
                    android:textColor="@android:color/white"
                    android:textSize="16sp"
                    app:layout_constraintStart_toEndOf="@id/issuePerson"
                    app:layout_constraintTop_toTopOf="@id/issuePerson"
                    tools:text="2022-2-23  14:00" />

                <TextView
                    android:id="@+id/noticeContent"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="16dp"
                    android:lineSpacingMultiplier="1.2"
                    android:textColor="@android:color/white"
                    android:textSize="12sp"
                    app:layout_constraintBottom_toTopOf="@id/noticePage"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/issuePerson"
                    tools:ignore="SmallSp"
                    tools:text="消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息消息内容消息内容消息内容消息内容消息内容消息内容消 息内容消息内容消息内容消息内容消息消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息 内容消息内容消息消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息消息内容消息内容消息内容消 息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息消息内容消息内容消息内容消息内容消息内容消息 内容消息内容消息内容消息内容消息内容消息消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内 容消息内容消息内容消息消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容消息消息内容消息内容消息 内容消息内容消息内容消息内容消息内容消息内容消息内容消息内容" />

                <TextView
                    android:id="@+id/noticePage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@android:color/white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    tools:text="1/6" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <ImageView
                android:id="@+id/companyImg"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:contentDescription="@null"
                android:scaleType="fitXY"
                tools:src="@mipmap/img_sy_qywh" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>